import Validator from "@/utils/validate.js"

function phoneValidate() {
	const phoneValidator = new Validator()
	const form = this.form
	phoneValidator.add(form.user, [{strategy: 'notEmpty', errorMsg: '手机号码不能为空'}, {strategy: 'isMobile', errorMsg: '手机号码格式不正确'}])
	return phoneValidator.validate()
}

function smsValidate() {
	const smsValidator = new Validator()
	const form = this.form
	smsValidator.add(form.user, [{strategy: 'notEmpty', errorMsg: '手机号码不能为空'}, {strategy: 'isMobile', errorMsg: '手机号码格式不正确'}])
	smsValidator.add(form.yzm, [{strategy: 'notEmpty', errorMsg: '验证码不能为空'}])
	return smsValidator.validate()
}

function accoutValidate() {
	const smsValidator = new Validator()
	const form = this.form
	// 用户名不检验手机号码
	if(form.lgtype === 2) {
		smsValidator.add(form.user, [{strategy: 'notEmpty', errorMsg: '手机号码不能为空'}, {strategy: 'isMobile', errorMsg: '手机号码格式不正确'}])
	} else if(form.lgtype === 3) {
		smsValidator.add(form.user, [{strategy: 'notEmpty', errorMsg: '用户名不能为空'}])
	}
	smsValidator.add(form.pwd, [{strategy: 'notEmpty', errorMsg: '密码不能为空'}])
	return smsValidator.validate()
}

async function loginCommon(params) {
	params.openid = this.openid
	this.login(params)
}

export default {
	smsValidate,
	accoutValidate,
	phoneValidate,
	loginCommon
}