import { cartCount } from "@/apis/carts.js"
const whitePage = ["pages/home/index", "pages/category/index", "pages/carts/index"] // 非tabBar页面无法使用setTabBarBadge
const state = {
	cart_count: 0
}

const mutations = {
	SETCOUNT(state, count) {
		state.cart_count = count
	}
}

const actions = {
	setCount: async ({ commit }) => {
		const { status, data } = await cartCount()
		const count = data.count
		if(status) {
			commit('SETCOUNT', count)
			const pages = getCurrentPages()
			const curPage = whitePage.find(item => item === pages[pages.length - 1].__route__)
			if(curPage) {
				if(count === 0) return uni.removeTabBarBadge({
					index: 2
				})
				uni.setTabBarBadge({
					index: 2,
					text: count > 99 ? '99+' : String(count),
				})
			}
			
		}
	}
}

export default {
    namespaced: true, 
    state,
	mutations,
	actions
}